unit unit_disk; //draw disk in x,y starting from center moving outwards

interface

const
  disk :array[0..1344,0..1] of shortint=  // Disk positions starting from center moving outwards. Shortint range is -128..127 and should be one byte
 ((0,0), //0, distance=0
  (1,0), //1, distance=1
  (0,1), //2, distance=1
  (-1,0), //3, distance=1
  (0,-1), //4, distance=1
  (1,1), //5, distance=1.414
  (-1,1), //6, distance=1.414
  (-1,-1), //7, distance=1.414
  (1,-1), //8, distance=1.414
  (2,0), //9, distance=2
  (0,2), //10, distance=2
  (-2,0), //11, distance=2
  (0,-2), //12, distance=2
  (2,1), //13, distance=2.236
  (1,2), //14, distance=2.236
  (-1,2), //15, distance=2.236
  (-2,1), //16, distance=2.236
  (-2,-1), //17, distance=2.236
  (-1,-2), //18, distance=2.236
  (1,-2), //19, distance=2.236
  (2,-1), //20, distance=2.236
  (2,2), //21, distance=2.828
  (-2,2), //22, distance=2.828
  (-2,-2), //23, distance=2.828
  (2,-2), //24, distance=2.828
  (3,0), //25, distance=3
  (0,3), //26, distance=3
  (-3,0), //27, distance=3
  (0,-3), //28, distance=3
  (3,1), //29, distance=3.162
  (1,3), //30, distance=3.162
  (-1,3), //31, distance=3.162
  (-3,1), //32, distance=3.162
  (-3,-1), //33, distance=3.162
  (-1,-3), //34, distance=3.162
  (1,-3), //35, distance=3.162
  (3,-1), //36, distance=3.162
  (3,2), //37, distance=3.606
  (2,3), //38, distance=3.606
  (-2,3), //39, distance=3.606
  (-3,2), //40, distance=3.606
  (-3,-2), //41, distance=3.606
  (-2,-3), //42, distance=3.606
  (2,-3), //43, distance=3.606
  (3,-2), //44, distance=3.606
  (4,0), //45, distance=4
  (0,4), //46, distance=4
  (-4,0), //47, distance=4
  (0,-4), //48, distance=4
  (4,1), //49, distance=4.123
  (3,3), //50, distance=4.243
  (1,4), //51, distance=4.123
  (-1,4), //52, distance=4.123
  (-3,3), //53, distance=4.243
  (-4,1), //54, distance=4.123
  (-4,-1), //55, distance=4.123
  (-3,-3), //56, distance=4.243
  (-1,-4), //57, distance=4.123
  (1,-4), //58, distance=4.123
  (3,-3), //59, distance=4.243
  (4,-1), //60, distance=4.123
  (4,2), //61, distance=4.472
  (2,4), //62, distance=4.472
  (-2,4), //63, distance=4.472
  (-4,2), //64, distance=4.472
  (-4,-2), //65, distance=4.472
  (-2,-4), //66, distance=4.472
  (2,-4), //67, distance=4.472
  (4,-2), //68, distance=4.472
  (4,3), //69, distance=5
  (3,4), //70, distance=5
  (-3,4), //71, distance=5
  (-4,3), //72, distance=5
  (-4,-3), //73, distance=5
  (-3,-4), //74, distance=5
  (3,-4), //75, distance=5
  (4,-3), //76, distance=5
  (5,0), //77, distance=5
  (0,5), //78, distance=5
  (-5,0), //79, distance=5
  (0,-5), //80, distance=5
  (5,1), //81, distance=5.099
  (1,5), //82, distance=5.099
  (-1,5), //83, distance=5.099
  (-5,1), //84, distance=5.099
  (-5,-1), //85, distance=5.099
  (-1,-5), //86, distance=5.099
  (1,-5), //87, distance=5.099
  (5,-1), //88, distance=5.099
  (5,2), //89, distance=5.385
  (2,5), //90, distance=5.385
  (-2,5), //91, distance=5.385
  (-5,2), //92, distance=5.385
  (-5,-2), //93, distance=5.385
  (-2,-5), //94, distance=5.385
  (2,-5), //95, distance=5.385
  (5,-2), //96, distance=5.385
  (4,4), //97, distance=5.657
  (-4,4), //98, distance=5.657
  (-4,-4), //99, distance=5.657
  (4,-4), //100, distance=5.657
  (5,3), //101, distance=5.831
  (3,5), //102, distance=5.831
  (-3,5), //103, distance=5.831
  (-5,3), //104, distance=5.831
  (-5,-3), //105, distance=5.831
  (-3,-5), //106, distance=5.831
  (3,-5), //107, distance=5.831
  (5,-3), //108, distance=5.831
  (6,0), //109, distance=6
  (0,6), //110, distance=6
  (-6,0), //111, distance=6
  (0,-6), //112, distance=6
  (6,1), //113, distance=6.083
  (1,6), //114, distance=6.083
  (-1,6), //115, distance=6.083
  (-6,1), //116, distance=6.083
  (-6,-1), //117, distance=6.083
  (-1,-6), //118, distance=6.083
  (1,-6), //119, distance=6.083
  (6,-1), //120, distance=6.083
  (6,2), //121, distance=6.325
  (5,4), //122, distance=6.403
  (4,5), //123, distance=6.403
  (2,6), //124, distance=6.325
  (-2,6), //125, distance=6.325
  (-4,5), //126, distance=6.403
  (-5,4), //127, distance=6.403
  (-6,2), //128, distance=6.325
  (-6,-2), //129, distance=6.325
  (-5,-4), //130, distance=6.403
  (-4,-5), //131, distance=6.403
  (-2,-6), //132, distance=6.325
  (2,-6), //133, distance=6.325
  (4,-5), //134, distance=6.403
  (5,-4), //135, distance=6.403
  (6,-2), //136, distance=6.325
  (6,3), //137, distance=6.708
  (3,6), //138, distance=6.708
  (-3,6), //139, distance=6.708
  (-6,3), //140, distance=6.708
  (-6,-3), //141, distance=6.708
  (-3,-6), //142, distance=6.708
  (3,-6), //143, distance=6.708
  (6,-3), //144, distance=6.708
  (5,5), //145, distance=7.071
  (-5,5), //146, distance=7.071
  (-5,-5), //147, distance=7.071
  (5,-5), //148, distance=7.071
  (7,0), //149, distance=7
  (0,7), //150, distance=7
  (-7,0), //151, distance=7
  (0,-7), //152, distance=7
  (7,1), //153, distance=7.071
  (1,7), //154, distance=7.071
  (-1,7), //155, distance=7.071
  (-7,1), //156, distance=7.071
  (-7,-1), //157, distance=7.071
  (-1,-7), //158, distance=7.071
  (1,-7), //159, distance=7.071
  (7,-1), //160, distance=7.071
  (6,4), //161, distance=7.211
  (4,6), //162, distance=7.211
  (-4,6), //163, distance=7.211
  (-6,4), //164, distance=7.211
  (-6,-4), //165, distance=7.211
  (-4,-6), //166, distance=7.211
  (4,-6), //167, distance=7.211
  (6,-4), //168, distance=7.211
  (7,2), //169, distance=7.28
  (2,7), //170, distance=7.28
  (-2,7), //171, distance=7.28
  (-7,2), //172, distance=7.28
  (-7,-2), //173, distance=7.28
  (-2,-7), //174, distance=7.28
  (2,-7), //175, distance=7.28
  (7,-2), //176, distance=7.28
  (7,3), //177, distance=7.616
  (3,7), //178, distance=7.616
  (-3,7), //179, distance=7.616
  (-7,3), //180, distance=7.616
  (-7,-3), //181, distance=7.616
  (-3,-7), //182, distance=7.616
  (3,-7), //183, distance=7.616
  (7,-3), //184, distance=7.616
  (6,5), //185, distance=7.81
  (5,6), //186, distance=7.81
  (-5,6), //187, distance=7.81
  (-6,5), //188, distance=7.81
  (-6,-5), //189, distance=7.81
  (-5,-6), //190, distance=7.81
  (5,-6), //191, distance=7.81
  (6,-5), //192, distance=7.81
  (7,4), //193, distance=8.062
  (4,7), //194, distance=8.062
  (-4,7), //195, distance=8.062
  (-7,4), //196, distance=8.062
  (-7,-4), //197, distance=8.062
  (-4,-7), //198, distance=8.062
  (4,-7), //199, distance=8.062
  (7,-4), //200, distance=8.062
  (8,0), //201, distance=8
  (0,8), //202, distance=8
  (-8,0), //203, distance=8
  (0,-8), //204, distance=8
  (8,1), //205, distance=8.062
  (1,8), //206, distance=8.062
  (-1,8), //207, distance=8.062
  (-8,1), //208, distance=8.062
  (-8,-1), //209, distance=8.062
  (-1,-8), //210, distance=8.062
  (1,-8), //211, distance=8.062
  (8,-1), //212, distance=8.062
  (8,2), //213, distance=8.246
  (2,8), //214, distance=8.246
  (-2,8), //215, distance=8.246
  (-8,2), //216, distance=8.246
  (-8,-2), //217, distance=8.246
  (-2,-8), //218, distance=8.246
  (2,-8), //219, distance=8.246
  (8,-2), //220, distance=8.246
  (6,6), //221, distance=8.485
  (-6,6), //222, distance=8.485
  (-6,-6), //223, distance=8.485
  (6,-6), //224, distance=8.485
  (8,3), //225, distance=8.544
  (7,5), //226, distance=8.602
  (5,7), //227, distance=8.602
  (3,8), //228, distance=8.544
  (-3,8), //229, distance=8.544
  (-5,7), //230, distance=8.602
  (-7,5), //231, distance=8.602
  (-8,3), //232, distance=8.544
  (-8,-3), //233, distance=8.544
  (-7,-5), //234, distance=8.602
  (-5,-7), //235, distance=8.602
  (-3,-8), //236, distance=8.544
  (3,-8), //237, distance=8.544
  (5,-7), //238, distance=8.602
  (7,-5), //239, distance=8.602
  (8,-3), //240, distance=8.544
  (8,4), //241, distance=8.944
  (4,8), //242, distance=8.944
  (-4,8), //243, distance=8.944
  (-8,4), //244, distance=8.944
  (-8,-4), //245, distance=8.944
  (-4,-8), //246, distance=8.944
  (4,-8), //247, distance=8.944
  (8,-4), //248, distance=8.944
  (9,0), //249, distance=9
  (0,9), //250, distance=9
  (-9,0), //251, distance=9
  (0,-9), //252, distance=9
  (9,1), //253, distance=9.055
  (1,9), //254, distance=9.055
  (-1,9), //255, distance=9.055
  (-9,1), //256, distance=9.055
  (-9,-1), //257, distance=9.055
  (-1,-9), //258, distance=9.055
  (1,-9), //259, distance=9.055
  (9,-1), //260, distance=9.055
  (7,6), //261, distance=9.22
  (6,7), //262, distance=9.22
  (-6,7), //263, distance=9.22
  (-7,6), //264, distance=9.22
  (-7,-6), //265, distance=9.22
  (-6,-7), //266, distance=9.22
  (6,-7), //267, distance=9.22
  (7,-6), //268, distance=9.22
  (9,2), //269, distance=9.22
  (2,9), //270, distance=9.22
  (-2,9), //271, distance=9.22
  (-9,2), //272, distance=9.22
  (-9,-2), //273, distance=9.22
  (-2,-9), //274, distance=9.22
  (2,-9), //275, distance=9.22
  (9,-2), //276, distance=9.22
  (8,5), //277, distance=9.434
  (5,8), //278, distance=9.434
  (-5,8), //279, distance=9.434
  (-8,5), //280, distance=9.434
  (-8,-5), //281, distance=9.434
  (-5,-8), //282, distance=9.434
  (5,-8), //283, distance=9.434
  (8,-5), //284, distance=9.434
  (9,3), //285, distance=9.487
  (3,9), //286, distance=9.487
  (-3,9), //287, distance=9.487
  (-9,3), //288, distance=9.487
  (-9,-3), //289, distance=9.487
  (-3,-9), //290, distance=9.487
  (3,-9), //291, distance=9.487
  (9,-3), //292, distance=9.487
  (9,4), //293, distance=9.849
  (7,7), //294, distance=9.899
  (4,9), //295, distance=9.849
  (-4,9), //296, distance=9.849
  (-7,7), //297, distance=9.899
  (-9,4), //298, distance=9.849
  (-9,-4), //299, distance=9.849
  (-7,-7), //300, distance=9.899
  (-4,-9), //301, distance=9.849
  (4,-9), //302, distance=9.849
  (7,-7), //303, distance=9.899
  (9,-4), //304, distance=9.849
  (8,6), //305, distance=10
  (6,8), //306, distance=10
  (-6,8), //307, distance=10
  (-8,6), //308, distance=10
  (-8,-6), //309, distance=10
  (-6,-8), //310, distance=10
  (6,-8), //311, distance=10
  (8,-6), //312, distance=10
  (10,0), //313, distance=10
  (0,10), //314, distance=10
  (-10,0), //315, distance=10
  (0,-10), //316, distance=10
  (10,1), //317, distance=10.05
  (1,10), //318, distance=10.05
  (-1,10), //319, distance=10.05
  (-10,1), //320, distance=10.05
  (-10,-1), //321, distance=10.05
  (-1,-10), //322, distance=10.05
  (1,-10), //323, distance=10.05
  (10,-1), //324, distance=10.05
  (10,2), //325, distance=10.2
  (9,5), //326, distance=10.3
  (5,9), //327, distance=10.3
  (2,10), //328, distance=10.2
  (-2,10), //329, distance=10.2
  (-5,9), //330, distance=10.3
  (-9,5), //331, distance=10.3
  (-10,2), //332, distance=10.2
  (-10,-2), //333, distance=10.2
  (-9,-5), //334, distance=10.3
  (-5,-9), //335, distance=10.3
  (-2,-10), //336, distance=10.2
  (2,-10), //337, distance=10.2
  (5,-9), //338, distance=10.3
  (9,-5), //339, distance=10.3
  (10,-2), //340, distance=10.2
  (10,3), //341, distance=10.44
  (3,10), //342, distance=10.44
  (-3,10), //343, distance=10.44
  (-10,3), //344, distance=10.44
  (-10,-3), //345, distance=10.44
  (-3,-10), //346, distance=10.44
  (3,-10), //347, distance=10.44
  (10,-3), //348, distance=10.44
  (8,7), //349, distance=10.63
  (7,8), //350, distance=10.63
  (-7,8), //351, distance=10.63
  (-8,7), //352, distance=10.63
  (-8,-7), //353, distance=10.63
  (-7,-8), //354, distance=10.63
  (7,-8), //355, distance=10.63
  (8,-7), //356, distance=10.63
  (10,4), //357, distance=10.77
  (9,6), //358, distance=10.82
  (6,9), //359, distance=10.82
  (4,10), //360, distance=10.77
  (-4,10), //361, distance=10.77
  (-6,9), //362, distance=10.82
  (-9,6), //363, distance=10.82
  (-10,4), //364, distance=10.77
  (-10,-4), //365, distance=10.77
  (-9,-6), //366, distance=10.82
  (-6,-9), //367, distance=10.82
  (-4,-10), //368, distance=10.77
  (4,-10), //369, distance=10.77
  (6,-9), //370, distance=10.82
  (9,-6), //371, distance=10.82
  (10,-4), //372, distance=10.77
  (11,0), //373, distance=11
  (0,11), //374, distance=11
  (-11,0), //375, distance=11
  (0,-11), //376, distance=11
  (11,1), //377, distance=11.05
  (10,5), //378, distance=11.18
  (5,10), //379, distance=11.18
  (1,11), //380, distance=11.05
  (-1,11), //381, distance=11.05
  (-5,10), //382, distance=11.18
  (-10,5), //383, distance=11.18
  (-11,1), //384, distance=11.05
  (-11,-1), //385, distance=11.05
  (-10,-5), //386, distance=11.18
  (-5,-10), //387, distance=11.18
  (-1,-11), //388, distance=11.05
  (1,-11), //389, distance=11.05
  (5,-10), //390, distance=11.18
  (10,-5), //391, distance=11.18
  (11,-1), //392, distance=11.05
  (11,2), //393, distance=11.18
  (8,8), //394, distance=11.31
  (2,11), //395, distance=11.18
  (-2,11), //396, distance=11.18
  (-8,8), //397, distance=11.31
  (-11,2), //398, distance=11.18
  (-11,-2), //399, distance=11.18
  (-8,-8), //400, distance=11.31
  (-2,-11), //401, distance=11.18
  (2,-11), //402, distance=11.18
  (8,-8), //403, distance=11.31
  (11,-2), //404, distance=11.18
  (9,7), //405, distance=11.4
  (7,9), //406, distance=11.4
  (-7,9), //407, distance=11.4
  (-9,7), //408, distance=11.4
  (-9,-7), //409, distance=11.4
  (-7,-9), //410, distance=11.4
  (7,-9), //411, distance=11.4
  (9,-7), //412, distance=11.4
  (11,3), //413, distance=11.4
  (3,11), //414, distance=11.4
  (-3,11), //415, distance=11.4
  (-11,3), //416, distance=11.4
  (-11,-3), //417, distance=11.4
  (-3,-11), //418, distance=11.4
  (3,-11), //419, distance=11.4
  (11,-3), //420, distance=11.4
  (10,6), //421, distance=11.66
  (6,10), //422, distance=11.66
  (-6,10), //423, distance=11.66
  (-10,6), //424, distance=11.66
  (-10,-6), //425, distance=11.66
  (-6,-10), //426, distance=11.66
  (6,-10), //427, distance=11.66
  (10,-6), //428, distance=11.66
  (11,4), //429, distance=11.7
  (4,11), //430, distance=11.7
  (-4,11), //431, distance=11.7
  (-11,4), //432, distance=11.7
  (-11,-4), //433, distance=11.7
  (-4,-11), //434, distance=11.7
  (4,-11), //435, distance=11.7
  (11,-4), //436, distance=11.7
  (9,8), //437, distance=12.04
  (8,9), //438, distance=12.04
  (-8,9), //439, distance=12.04
  (-9,8), //440, distance=12.04
  (-9,-8), //441, distance=12.04
  (-8,-9), //442, distance=12.04
  (8,-9), //443, distance=12.04
  (9,-8), //444, distance=12.04
  (11,5), //445, distance=12.08
  (5,11), //446, distance=12.08
  (-5,11), //447, distance=12.08
  (-11,5), //448, distance=12.08
  (-11,-5), //449, distance=12.08
  (-5,-11), //450, distance=12.08
  (5,-11), //451, distance=12.08
  (11,-5), //452, distance=12.08
  (12,0), //453, distance=12
  (0,12), //454, distance=12
  (-12,0), //455, distance=12
  (0,-12), //456, distance=12
  (12,1), //457, distance=12.04
  (10,7), //458, distance=12.21
  (7,10), //459, distance=12.21
  (1,12), //460, distance=12.04
  (-1,12), //461, distance=12.04
  (-7,10), //462, distance=12.21
  (-10,7), //463, distance=12.21
  (-12,1), //464, distance=12.04
  (-12,-1), //465, distance=12.04
  (-10,-7), //466, distance=12.21
  (-7,-10), //467, distance=12.21
  (-1,-12), //468, distance=12.04
  (1,-12), //469, distance=12.04
  (7,-10), //470, distance=12.21
  (10,-7), //471, distance=12.21
  (12,-1), //472, distance=12.04
  (12,2), //473, distance=12.17
  (2,12), //474, distance=12.17
  (-2,12), //475, distance=12.17
  (-12,2), //476, distance=12.17
  (-12,-2), //477, distance=12.17
  (-2,-12), //478, distance=12.17
  (2,-12), //479, distance=12.17
  (12,-2), //480, distance=12.17
  (12,3), //481, distance=12.37
  (3,12), //482, distance=12.37
  (-3,12), //483, distance=12.37
  (-12,3), //484, distance=12.37
  (-12,-3), //485, distance=12.37
  (-3,-12), //486, distance=12.37
  (3,-12), //487, distance=12.37
  (12,-3), //488, distance=12.37
  (11,6), //489, distance=12.53
  (6,11), //490, distance=12.53
  (-6,11), //491, distance=12.53
  (-11,6), //492, distance=12.53
  (-11,-6), //493, distance=12.53
  (-6,-11), //494, distance=12.53
  (6,-11), //495, distance=12.53
  (11,-6), //496, distance=12.53
  (12,4), //497, distance=12.65
  (9,9), //498, distance=12.73
  (4,12), //499, distance=12.65
  (-4,12), //500, distance=12.65
  (-9,9), //501, distance=12.73
  (-12,4), //502, distance=12.65
  (-12,-4), //503, distance=12.65
  (-9,-9), //504, distance=12.73
  (-4,-12), //505, distance=12.65
  (4,-12), //506, distance=12.65
  (9,-9), //507, distance=12.73
  (12,-4), //508, distance=12.65
  (10,8), //509, distance=12.81
  (8,10), //510, distance=12.81
  (-8,10), //511, distance=12.81
  (-10,8), //512, distance=12.81
  (-10,-8), //513, distance=12.81
  (-8,-10), //514, distance=12.81
  (8,-10), //515, distance=12.81
  (10,-8), //516, distance=12.81
  (12,5), //517, distance=13
  (11,7), //518, distance=13.04
  (7,11), //519, distance=13.04
  (5,12), //520, distance=13
  (-5,12), //521, distance=13
  (-7,11), //522, distance=13.04
  (-11,7), //523, distance=13.04
  (-12,5), //524, distance=13
  (-12,-5), //525, distance=13
  (-11,-7), //526, distance=13.04
  (-7,-11), //527, distance=13.04
  (-5,-12), //528, distance=13
  (5,-12), //529, distance=13
  (7,-11), //530, distance=13.04
  (11,-7), //531, distance=13.04
  (12,-5), //532, distance=13
  (13,0), //533, distance=13
  (0,13), //534, distance=13
  (-13,0), //535, distance=13
  (0,-13), //536, distance=13
  (13,1), //537, distance=13.04
  (1,13), //538, distance=13.04
  (-1,13), //539, distance=13.04
  (-13,1), //540, distance=13.04
  (-13,-1), //541, distance=13.04
  (-1,-13), //542, distance=13.04
  (1,-13), //543, distance=13.04
  (13,-1), //544, distance=13.04
  (13,2), //545, distance=13.15
  (2,13), //546, distance=13.15
  (-2,13), //547, distance=13.15
  (-13,2), //548, distance=13.15
  (-13,-2), //549, distance=13.15
  (-2,-13), //550, distance=13.15
  (2,-13), //551, distance=13.15
  (13,-2), //552, distance=13.15
  (13,3), //553, distance=13.34
  (12,6), //554, distance=13.42
  (10,9), //555, distance=13.45
  (9,10), //556, distance=13.45
  (6,12), //557, distance=13.42
  (3,13), //558, distance=13.34
  (-3,13), //559, distance=13.34
  (-6,12), //560, distance=13.42
  (-9,10), //561, distance=13.45
  (-10,9), //562, distance=13.45
  (-12,6), //563, distance=13.42
  (-13,3), //564, distance=13.34
  (-13,-3), //565, distance=13.34
  (-12,-6), //566, distance=13.42
  (-10,-9), //567, distance=13.45
  (-9,-10), //568, distance=13.45
  (-6,-12), //569, distance=13.42
  (-3,-13), //570, distance=13.34
  (3,-13), //571, distance=13.34
  (6,-12), //572, distance=13.42
  (9,-10), //573, distance=13.45
  (10,-9), //574, distance=13.45
  (12,-6), //575, distance=13.42
  (13,-3), //576, distance=13.34
  (11,8), //577, distance=13.6
  (8,11), //578, distance=13.6
  (-8,11), //579, distance=13.6
  (-11,8), //580, distance=13.6
  (-11,-8), //581, distance=13.6
  (-8,-11), //582, distance=13.6
  (8,-11), //583, distance=13.6
  (11,-8), //584, distance=13.6
  (13,4), //585, distance=13.6
  (4,13), //586, distance=13.6
  (-4,13), //587, distance=13.6
  (-13,4), //588, distance=13.6
  (-13,-4), //589, distance=13.6
  (-4,-13), //590, distance=13.6
  (4,-13), //591, distance=13.6
  (13,-4), //592, distance=13.6
  (12,7), //593, distance=13.89
  (7,12), //594, distance=13.89
  (-7,12), //595, distance=13.89
  (-12,7), //596, distance=13.89
  (-12,-7), //597, distance=13.89
  (-7,-12), //598, distance=13.89
  (7,-12), //599, distance=13.89
  (12,-7), //600, distance=13.89
  (13,5), //601, distance=13.93
  (5,13), //602, distance=13.93
  (-5,13), //603, distance=13.93
  (-13,5), //604, distance=13.93
  (-13,-5), //605, distance=13.93
  (-5,-13), //606, distance=13.93
  (5,-13), //607, distance=13.93
  (13,-5), //608, distance=13.93
  (10,10), //609, distance=14.14
  (-10,10), //610, distance=14.14
  (-10,-10), //611, distance=14.14
  (10,-10), //612, distance=14.14
  (14,0), //613, distance=14
  (0,14), //614, distance=14
  (-14,0), //615, distance=14
  (0,-14), //616, distance=14
  (14,1), //617, distance=14.04
  (1,14), //618, distance=14.04
  (-1,14), //619, distance=14.04
  (-14,1), //620, distance=14.04
  (-14,-1), //621, distance=14.04
  (-1,-14), //622, distance=14.04
  (1,-14), //623, distance=14.04
  (14,-1), //624, distance=14.04
  (11,9), //625, distance=14.21
  (9,11), //626, distance=14.21
  (-9,11), //627, distance=14.21
  (-11,9), //628, distance=14.21
  (-11,-9), //629, distance=14.21
  (-9,-11), //630, distance=14.21
  (9,-11), //631, distance=14.21
  (11,-9), //632, distance=14.21
  (14,2), //633, distance=14.14
  (2,14), //634, distance=14.14
  (-2,14), //635, distance=14.14
  (-14,2), //636, distance=14.14
  (-14,-2), //637, distance=14.14
  (-2,-14), //638, distance=14.14
  (2,-14), //639, distance=14.14
  (14,-2), //640, distance=14.14
  (13,6), //641, distance=14.32
  (6,13), //642, distance=14.32
  (-6,13), //643, distance=14.32
  (-13,6), //644, distance=14.32
  (-13,-6), //645, distance=14.32
  (-6,-13), //646, distance=14.32
  (6,-13), //647, distance=14.32
  (13,-6), //648, distance=14.32
  (14,3), //649, distance=14.32
  (3,14), //650, distance=14.32
  (-3,14), //651, distance=14.32
  (-14,3), //652, distance=14.32
  (-14,-3), //653, distance=14.32
  (-3,-14), //654, distance=14.32
  (3,-14), //655, distance=14.32
  (14,-3), //656, distance=14.32
  (12,8), //657, distance=14.42
  (8,12), //658, distance=14.42
  (-8,12), //659, distance=14.42
  (-12,8), //660, distance=14.42
  (-12,-8), //661, distance=14.42
  (-8,-12), //662, distance=14.42
  (8,-12), //663, distance=14.42
  (12,-8), //664, distance=14.42
  (14,4), //665, distance=14.56
  (4,14), //666, distance=14.56
  (-4,14), //667, distance=14.56
  (-14,4), //668, distance=14.56
  (-14,-4), //669, distance=14.56
  (-4,-14), //670, distance=14.56
  (4,-14), //671, distance=14.56
  (14,-4), //672, distance=14.56
  (13,7), //673, distance=14.76
  (7,13), //674, distance=14.76
  (-7,13), //675, distance=14.76
  (-13,7), //676, distance=14.76
  (-13,-7), //677, distance=14.76
  (-7,-13), //678, distance=14.76
  (7,-13), //679, distance=14.76
  (13,-7), //680, distance=14.76
  (11,10), //681, distance=14.87
  (10,11), //682, distance=14.87
  (-10,11), //683, distance=14.87
  (-11,10), //684, distance=14.87
  (-11,-10), //685, distance=14.87
  (-10,-11), //686, distance=14.87
  (10,-11), //687, distance=14.87
  (11,-10), //688, distance=14.87
  (14,5), //689, distance=14.87
  (5,14), //690, distance=14.87
  (-5,14), //691, distance=14.87
  (-14,5), //692, distance=14.87
  (-14,-5), //693, distance=14.87
  (-5,-14), //694, distance=14.87
  (5,-14), //695, distance=14.87
  (14,-5), //696, distance=14.87
  (12,9), //697, distance=15
  (9,12), //698, distance=15
  (-9,12), //699, distance=15
  (-12,9), //700, distance=15
  (-12,-9), //701, distance=15
  (-9,-12), //702, distance=15
  (9,-12), //703, distance=15
  (12,-9), //704, distance=15
  (15,0), //705, distance=15
  (15,1), //706, distance=15.03
  (1,15), //707, distance=15.03
  (0,15), //708, distance=15
  (-1,15), //709, distance=15.03
  (-15,1), //710, distance=15.03
  (-15,0), //711, distance=15
  (-15,-1), //712, distance=15.03
  (-1,-15), //713, distance=15.03
  (0,-15), //714, distance=15
  (1,-15), //715, distance=15.03
  (15,-1), //716, distance=15.03
  (15,2), //717, distance=15.13
  (2,15), //718, distance=15.13
  (-2,15), //719, distance=15.13
  (-15,2), //720, distance=15.13
  (-15,-2), //721, distance=15.13
  (-2,-15), //722, distance=15.13
  (2,-15), //723, distance=15.13
  (15,-2), //724, distance=15.13
  (14,6), //725, distance=15.23
  (13,8), //726, distance=15.26
  (8,13), //727, distance=15.26
  (6,14), //728, distance=15.23
  (-6,14), //729, distance=15.23
  (-8,13), //730, distance=15.26
  (-13,8), //731, distance=15.26
  (-14,6), //732, distance=15.23
  (-14,-6), //733, distance=15.23
  (-13,-8), //734, distance=15.26
  (-8,-13), //735, distance=15.26
  (-6,-14), //736, distance=15.23
  (6,-14), //737, distance=15.23
  (8,-13), //738, distance=15.26
  (13,-8), //739, distance=15.26
  (14,-6), //740, distance=15.23
  (15,3), //741, distance=15.3
  (3,15), //742, distance=15.3
  (-3,15), //743, distance=15.3
  (-15,3), //744, distance=15.3
  (-15,-3), //745, distance=15.3
  (-3,-15), //746, distance=15.3
  (3,-15), //747, distance=15.3
  (15,-3), //748, distance=15.3
  (11,11), //749, distance=15.56
  (-11,11), //750, distance=15.56
  (-11,-11), //751, distance=15.56
  (11,-11), //752, distance=15.56
  (15,4), //753, distance=15.52
  (4,15), //754, distance=15.52
  (-4,15), //755, distance=15.52
  (-15,4), //756, distance=15.52
  (-15,-4), //757, distance=15.52
  (-4,-15), //758, distance=15.52
  (4,-15), //759, distance=15.52
  (15,-4), //760, distance=15.52
  (12,10), //761, distance=15.62
  (10,12), //762, distance=15.62
  (-10,12), //763, distance=15.62
  (-12,10), //764, distance=15.62
  (-12,-10), //765, distance=15.62
  (-10,-12), //766, distance=15.62
  (10,-12), //767, distance=15.62
  (12,-10), //768, distance=15.62
  (14,7), //769, distance=15.65
  (7,14), //770, distance=15.65
  (-7,14), //771, distance=15.65
  (-14,7), //772, distance=15.65
  (-14,-7), //773, distance=15.65
  (-7,-14), //774, distance=15.65
  (7,-14), //775, distance=15.65
  (14,-7), //776, distance=15.65
  (13,9), //777, distance=15.81
  (9,13), //778, distance=15.81
  (-9,13), //779, distance=15.81
  (-13,9), //780, distance=15.81
  (-13,-9), //781, distance=15.81
  (-9,-13), //782, distance=15.81
  (9,-13), //783, distance=15.81
  (13,-9), //784, distance=15.81
  (15,5), //785, distance=15.81
  (5,15), //786, distance=15.81
  (-5,15), //787, distance=15.81
  (-15,5), //788, distance=15.81
  (-15,-5), //789, distance=15.81
  (-5,-15), //790, distance=15.81
  (5,-15), //791, distance=15.81
  (15,-5), //792, distance=15.81
  (14,8), //793, distance=16.12
  (8,14), //794, distance=16.12
  (-8,14), //795, distance=16.12
  (-14,8), //796, distance=16.12
  (-14,-8), //797, distance=16.12
  (-8,-14), //798, distance=16.12
  (8,-14), //799, distance=16.12
  (14,-8), //800, distance=16.12
  (16,0), //801, distance=16
  (0,16), //802, distance=16
  (-16,0), //803, distance=16
  (0,-16), //804, distance=16
  (16,1), //805, distance=16.03
  (1,16), //806, distance=16.03
  (-1,16), //807, distance=16.03
  (-16,1), //808, distance=16.03
  (-16,-1), //809, distance=16.03
  (-1,-16), //810, distance=16.03
  (1,-16), //811, distance=16.03
  (16,-1), //812, distance=16.03
  (15,6), //813, distance=16.16
  (6,15), //814, distance=16.16
  (-6,15), //815, distance=16.16
  (-15,6), //816, distance=16.16
  (-15,-6), //817, distance=16.16
  (-6,-15), //818, distance=16.16
  (6,-15), //819, distance=16.16
  (15,-6), //820, distance=16.16
  (16,2), //821, distance=16.12
  (12,11), //822, distance=16.28
  (11,12), //823, distance=16.28
  (2,16), //824, distance=16.12
  (-2,16), //825, distance=16.12
  (-11,12), //826, distance=16.28
  (-12,11), //827, distance=16.28
  (-16,2), //828, distance=16.12
  (-16,-2), //829, distance=16.12
  (-12,-11), //830, distance=16.28
  (-11,-12), //831, distance=16.28
  (-2,-16), //832, distance=16.12
  (2,-16), //833, distance=16.12
  (11,-12), //834, distance=16.28
  (12,-11), //835, distance=16.28
  (16,-2), //836, distance=16.12
  (16,3), //837, distance=16.28
  (3,16), //838, distance=16.28
  (-3,16), //839, distance=16.28
  (-16,3), //840, distance=16.28
  (-16,-3), //841, distance=16.28
  (-3,-16), //842, distance=16.28
  (3,-16), //843, distance=16.28
  (16,-3), //844, distance=16.28
  (13,10), //845, distance=16.4
  (10,13), //846, distance=16.4
  (-10,13), //847, distance=16.4
  (-13,10), //848, distance=16.4
  (-13,-10), //849, distance=16.4
  (-10,-13), //850, distance=16.4
  (10,-13), //851, distance=16.4
  (13,-10), //852, distance=16.4
  (16,4), //853, distance=16.49
  (15,7), //854, distance=16.55
  (7,15), //855, distance=16.55
  (4,16), //856, distance=16.49
  (-4,16), //857, distance=16.49
  (-7,15), //858, distance=16.55
  (-15,7), //859, distance=16.55
  (-16,4), //860, distance=16.49
  (-16,-4), //861, distance=16.49
  (-15,-7), //862, distance=16.55
  (-7,-15), //863, distance=16.55
  (-4,-16), //864, distance=16.49
  (4,-16), //865, distance=16.49
  (7,-15), //866, distance=16.55
  (15,-7), //867, distance=16.55
  (16,-4), //868, distance=16.49
  (14,9), //869, distance=16.64
  (9,14), //870, distance=16.64
  (-9,14), //871, distance=16.64
  (-14,9), //872, distance=16.64
  (-14,-9), //873, distance=16.64
  (-9,-14), //874, distance=16.64
  (9,-14), //875, distance=16.64
  (14,-9), //876, distance=16.64
  (16,5), //877, distance=16.76
  (5,16), //878, distance=16.76
  (-5,16), //879, distance=16.76
  (-16,5), //880, distance=16.76
  (-16,-5), //881, distance=16.76
  (-5,-16), //882, distance=16.76
  (5,-16), //883, distance=16.76
  (16,-5), //884, distance=16.76
  (12,12), //885, distance=16.97
  (-12,12), //886, distance=16.97
  (-12,-12), //887, distance=16.97
  (12,-12), //888, distance=16.97
  (15,8), //889, distance=17
  (13,11), //890, distance=17.03
  (11,13), //891, distance=17.03
  (8,15), //892, distance=17
  (-8,15), //893, distance=17
  (-11,13), //894, distance=17.03
  (-13,11), //895, distance=17.03
  (-15,8), //896, distance=17
  (-15,-8), //897, distance=17
  (-13,-11), //898, distance=17.03
  (-11,-13), //899, distance=17.03
  (-8,-15), //900, distance=17
  (8,-15), //901, distance=17
  (11,-13), //902, distance=17.03
  (13,-11), //903, distance=17.03
  (15,-8), //904, distance=17
  (16,6), //905, distance=17.09
  (6,16), //906, distance=17.09
  (-6,16), //907, distance=17.09
  (-16,6), //908, distance=17.09
  (-16,-6), //909, distance=17.09
  (-6,-16), //910, distance=17.09
  (6,-16), //911, distance=17.09
  (16,-6), //912, distance=17.09
  (17,0), //913, distance=17
  (17,1), //914, distance=17.03
  (1,17), //915, distance=17.03
  (0,17), //916, distance=17
  (-1,17), //917, distance=17.03
  (-17,1), //918, distance=17.03
  (-17,0), //919, distance=17
  (-17,-1), //920, distance=17.03
  (-1,-17), //921, distance=17.03
  (0,-17), //922, distance=17
  (1,-17), //923, distance=17.03
  (17,-1), //924, distance=17.03
  (14,10), //925, distance=17.2
  (10,14), //926, distance=17.2
  (-10,14), //927, distance=17.2
  (-14,10), //928, distance=17.2
  (-14,-10), //929, distance=17.2
  (-10,-14), //930, distance=17.2
  (10,-14), //931, distance=17.2
  (14,-10), //932, distance=17.2
  (17,2), //933, distance=17.12
  (2,17), //934, distance=17.12
  (-2,17), //935, distance=17.12
  (-17,2), //936, distance=17.12
  (-17,-2), //937, distance=17.12
  (-2,-17), //938, distance=17.12
  (2,-17), //939, distance=17.12
  (17,-2), //940, distance=17.12
  (17,3), //941, distance=17.26
  (3,17), //942, distance=17.26
  (-3,17), //943, distance=17.26
  (-17,3), //944, distance=17.26
  (-17,-3), //945, distance=17.26
  (-3,-17), //946, distance=17.26
  (3,-17), //947, distance=17.26
  (17,-3), //948, distance=17.26
  (16,7), //949, distance=17.46
  (15,9), //950, distance=17.49
  (9,15), //951, distance=17.49
  (7,16), //952, distance=17.46
  (-7,16), //953, distance=17.46
  (-9,15), //954, distance=17.49
  (-15,9), //955, distance=17.49
  (-16,7), //956, distance=17.46
  (-16,-7), //957, distance=17.46
  (-15,-9), //958, distance=17.49
  (-9,-15), //959, distance=17.49
  (-7,-16), //960, distance=17.46
  (7,-16), //961, distance=17.46
  (9,-15), //962, distance=17.49
  (15,-9), //963, distance=17.49
  (16,-7), //964, distance=17.46
  (17,4), //965, distance=17.46
  (4,17), //966, distance=17.46
  (-4,17), //967, distance=17.46
  (-17,4), //968, distance=17.46
  (-17,-4), //969, distance=17.46
  (-4,-17), //970, distance=17.46
  (4,-17), //971, distance=17.46
  (17,-4), //972, distance=17.46
  (13,12), //973, distance=17.69
  (12,13), //974, distance=17.69
  (-12,13), //975, distance=17.69
  (-13,12), //976, distance=17.69
  (-13,-12), //977, distance=17.69
  (-12,-13), //978, distance=17.69
  (12,-13), //979, distance=17.69
  (13,-12), //980, distance=17.69
  (17,5), //981, distance=17.72
  (14,11), //982, distance=17.8
  (11,14), //983, distance=17.8
  (5,17), //984, distance=17.72
  (-5,17), //985, distance=17.72
  (-11,14), //986, distance=17.8
  (-14,11), //987, distance=17.8
  (-17,5), //988, distance=17.72
  (-17,-5), //989, distance=17.72
  (-14,-11), //990, distance=17.8
  (-11,-14), //991, distance=17.8
  (-5,-17), //992, distance=17.72
  (5,-17), //993, distance=17.72
  (11,-14), //994, distance=17.8
  (14,-11), //995, distance=17.8
  (17,-5), //996, distance=17.72
  (16,8), //997, distance=17.89
  (8,16), //998, distance=17.89
  (-8,16), //999, distance=17.89
  (-16,8), //1000, distance=17.89
  (-16,-8), //1001, distance=17.89
  (-8,-16), //1002, distance=17.89
  (8,-16), //1003, distance=17.89
  (16,-8), //1004, distance=17.89
  (15,10), //1005, distance=18.03
  (10,15), //1006, distance=18.03
  (-10,15), //1007, distance=18.03
  (-15,10), //1008, distance=18.03
  (-15,-10), //1009, distance=18.03
  (-10,-15), //1010, distance=18.03
  (10,-15), //1011, distance=18.03
  (15,-10), //1012, distance=18.03
  (17,6), //1013, distance=18.03
  (6,17), //1014, distance=18.03
  (-6,17), //1015, distance=18.03
  (-17,6), //1016, distance=18.03
  (-17,-6), //1017, distance=18.03
  (-6,-17), //1018, distance=18.03
  (6,-17), //1019, distance=18.03
  (17,-6), //1020, distance=18.03
  (18,0), //1021, distance=18
  (0,18), //1022, distance=18
  (-18,0), //1023, distance=18
  (0,-18), //1024, distance=18
  (18,1), //1025, distance=18.03
  (1,18), //1026, distance=18.03
  (-1,18), //1027, distance=18.03
  (-18,1), //1028, distance=18.03
  (-18,-1), //1029, distance=18.03
  (-1,-18), //1030, distance=18.03
  (1,-18), //1031, distance=18.03
  (18,-1), //1032, distance=18.03
  (18,2), //1033, distance=18.11
  (2,18), //1034, distance=18.11
  (-2,18), //1035, distance=18.11
  (-18,2), //1036, distance=18.11
  (-18,-2), //1037, distance=18.11
  (-2,-18), //1038, distance=18.11
  (2,-18), //1039, distance=18.11
  (18,-2), //1040, distance=18.11
  (13,13), //1041, distance=18.38
  (-13,13), //1042, distance=18.38
  (-13,-13), //1043, distance=18.38
  (13,-13), //1044, distance=18.38
  (18,3), //1045, distance=18.25
  (16,9), //1046, distance=18.36
  (9,16), //1047, distance=18.36
  (3,18), //1048, distance=18.25
  (-3,18), //1049, distance=18.25
  (-9,16), //1050, distance=18.36
  (-16,9), //1051, distance=18.36
  (-18,3), //1052, distance=18.25
  (-18,-3), //1053, distance=18.25
  (-16,-9), //1054, distance=18.36
  (-9,-16), //1055, distance=18.36
  (-3,-18), //1056, distance=18.25
  (3,-18), //1057, distance=18.25
  (9,-16), //1058, distance=18.36
  (16,-9), //1059, distance=18.36
  (18,-3), //1060, distance=18.25
  (17,7), //1061, distance=18.38
  (7,17), //1062, distance=18.38
  (-7,17), //1063, distance=18.38
  (-17,7), //1064, distance=18.38
  (-17,-7), //1065, distance=18.38
  (-7,-17), //1066, distance=18.38
  (7,-17), //1067, distance=18.38
  (17,-7), //1068, distance=18.38
  (14,12), //1069, distance=18.44
  (12,14), //1070, distance=18.44
  (-12,14), //1071, distance=18.44
  (-14,12), //1072, distance=18.44
  (-14,-12), //1073, distance=18.44
  (-12,-14), //1074, distance=18.44
  (12,-14), //1075, distance=18.44
  (14,-12), //1076, distance=18.44
  (18,4), //1077, distance=18.44
  (4,18), //1078, distance=18.44
  (-4,18), //1079, distance=18.44
  (-18,4), //1080, distance=18.44
  (-18,-4), //1081, distance=18.44
  (-4,-18), //1082, distance=18.44
  (4,-18), //1083, distance=18.44
  (18,-4), //1084, distance=18.44
  (15,11), //1085, distance=18.6
  (11,15), //1086, distance=18.6
  (-11,15), //1087, distance=18.6
  (-15,11), //1088, distance=18.6
  (-15,-11), //1089, distance=18.6
  (-11,-15), //1090, distance=18.6
  (11,-15), //1091, distance=18.6
  (15,-11), //1092, distance=18.6
  (18,5), //1093, distance=18.68
  (5,18), //1094, distance=18.68
  (-5,18), //1095, distance=18.68
  (-18,5), //1096, distance=18.68
  (-18,-5), //1097, distance=18.68
  (-5,-18), //1098, distance=18.68
  (5,-18), //1099, distance=18.68
  (18,-5), //1100, distance=18.68
  (17,8), //1101, distance=18.79
  (8,17), //1102, distance=18.79
  (-8,17), //1103, distance=18.79
  (-17,8), //1104, distance=18.79
  (-17,-8), //1105, distance=18.79
  (-8,-17), //1106, distance=18.79
  (8,-17), //1107, distance=18.79
  (17,-8), //1108, distance=18.79
  (16,10), //1109, distance=18.87
  (10,16), //1110, distance=18.87
  (-10,16), //1111, distance=18.87
  (-16,10), //1112, distance=18.87
  (-16,-10), //1113, distance=18.87
  (-10,-16), //1114, distance=18.87
  (10,-16), //1115, distance=18.87
  (16,-10), //1116, distance=18.87
  (18,6), //1117, distance=18.97
  (6,18), //1118, distance=18.97
  (-6,18), //1119, distance=18.97
  (-18,6), //1120, distance=18.97
  (-18,-6), //1121, distance=18.97
  (-6,-18), //1122, distance=18.97
  (6,-18), //1123, distance=18.97
  (18,-6), //1124, distance=18.97
  (14,13), //1125, distance=19.1
  (13,14), //1126, distance=19.1
  (-13,14), //1127, distance=19.1
  (-14,13), //1128, distance=19.1
  (-14,-13), //1129, distance=19.1
  (-13,-14), //1130, distance=19.1
  (13,-14), //1131, distance=19.1
  (14,-13), //1132, distance=19.1
  (19,0), //1133, distance=19
  (19,1), //1134, distance=19.03
  (1,19), //1135, distance=19.03
  (0,19), //1136, distance=19
  (-1,19), //1137, distance=19.03
  (-19,1), //1138, distance=19.03
  (-19,0), //1139, distance=19
  (-19,-1), //1140, distance=19.03
  (-1,-19), //1141, distance=19.03
  (0,-19), //1142, distance=19
  (1,-19), //1143, distance=19.03
  (19,-1), //1144, distance=19.03
  (15,12), //1145, distance=19.21
  (12,15), //1146, distance=19.21
  (-12,15), //1147, distance=19.21
  (-15,12), //1148, distance=19.21
  (-15,-12), //1149, distance=19.21
  (-12,-15), //1150, distance=19.21
  (12,-15), //1151, distance=19.21
  (15,-12), //1152, distance=19.21
  (19,2), //1153, distance=19.1
  (17,9), //1154, distance=19.24
  (9,17), //1155, distance=19.24
  (2,19), //1156, distance=19.1
  (-2,19), //1157, distance=19.1
  (-9,17), //1158, distance=19.24
  (-17,9), //1159, distance=19.24
  (-19,2), //1160, distance=19.1
  (-19,-2), //1161, distance=19.1
  (-17,-9), //1162, distance=19.24
  (-9,-17), //1163, distance=19.24
  (-2,-19), //1164, distance=19.1
  (2,-19), //1165, distance=19.1
  (9,-17), //1166, distance=19.24
  (17,-9), //1167, distance=19.24
  (19,-2), //1168, distance=19.1
  (19,3), //1169, distance=19.24
  (3,19), //1170, distance=19.24
  (-3,19), //1171, distance=19.24
  (-19,3), //1172, distance=19.24
  (-19,-3), //1173, distance=19.24
  (-3,-19), //1174, distance=19.24
  (3,-19), //1175, distance=19.24
  (19,-3), //1176, distance=19.24
  (18,7), //1177, distance=19.31
  (7,18), //1178, distance=19.31
  (-7,18), //1179, distance=19.31
  (-18,7), //1180, distance=19.31
  (-18,-7), //1181, distance=19.31
  (-7,-18), //1182, distance=19.31
  (7,-18), //1183, distance=19.31
  (18,-7), //1184, distance=19.31
  (16,11), //1185, distance=19.42
  (11,16), //1186, distance=19.42
  (-11,16), //1187, distance=19.42
  (-16,11), //1188, distance=19.42
  (-16,-11), //1189, distance=19.42
  (-11,-16), //1190, distance=19.42
  (11,-16), //1191, distance=19.42
  (16,-11), //1192, distance=19.42
  (19,4), //1193, distance=19.42
  (4,19), //1194, distance=19.42
  (-4,19), //1195, distance=19.42
  (-19,4), //1196, distance=19.42
  (-19,-4), //1197, distance=19.42
  (-4,-19), //1198, distance=19.42
  (4,-19), //1199, distance=19.42
  (19,-4), //1200, distance=19.42
  (18,8), //1201, distance=19.7
  (8,18), //1202, distance=19.7
  (-8,18), //1203, distance=19.7
  (-18,8), //1204, distance=19.7
  (-18,-8), //1205, distance=19.7
  (-8,-18), //1206, distance=19.7
  (8,-18), //1207, distance=19.7
  (18,-8), //1208, distance=19.7
  (19,5), //1209, distance=19.65
  (5,19), //1210, distance=19.65
  (-5,19), //1211, distance=19.65
  (-19,5), //1212, distance=19.65
  (-19,-5), //1213, distance=19.65
  (-5,-19), //1214, distance=19.65
  (5,-19), //1215, distance=19.65
  (19,-5), //1216, distance=19.65
  (17,10), //1217, distance=19.72
  (10,17), //1218, distance=19.72
  (-10,17), //1219, distance=19.72
  (-17,10), //1220, distance=19.72
  (-17,-10), //1221, distance=19.72
  (-10,-17), //1222, distance=19.72
  (10,-17), //1223, distance=19.72
  (17,-10), //1224, distance=19.72
  (14,14), //1225, distance=19.8
  (-14,14), //1226, distance=19.8
  (-14,-14), //1227, distance=19.8
  (14,-14), //1228, distance=19.8
  (15,13), //1229, distance=19.85
  (13,15), //1230, distance=19.85
  (-13,15), //1231, distance=19.85
  (-15,13), //1232, distance=19.85
  (-15,-13), //1233, distance=19.85
  (-13,-15), //1234, distance=19.85
  (13,-15), //1235, distance=19.85
  (15,-13), //1236, distance=19.85
  (19,6), //1237, distance=19.92
  (16,12), //1238, distance=20
  (12,16), //1239, distance=20
  (6,19), //1240, distance=19.92
  (-6,19), //1241, distance=19.92
  (-12,16), //1242, distance=20
  (-16,12), //1243, distance=20
  (-19,6), //1244, distance=19.92
  (-19,-6), //1245, distance=19.92
  (-16,-12), //1246, distance=20
  (-12,-16), //1247, distance=20
  (-6,-19), //1248, distance=19.92
  (6,-19), //1249, distance=19.92
  (12,-16), //1250, distance=20
  (16,-12), //1251, distance=20
  (19,-6), //1252, distance=19.92
  (18,9), //1253, distance=20.12
  (9,18), //1254, distance=20.12
  (-9,18), //1255, distance=20.12
  (-18,9), //1256, distance=20.12
  (-18,-9), //1257, distance=20.12
  (-9,-18), //1258, distance=20.12
  (9,-18), //1259, distance=20.12
  (18,-9), //1260, distance=20.12
  (20,0), //1261, distance=20
  (0,20), //1262, distance=20
  (-20,0), //1263, distance=20
  (0,-20), //1264, distance=20
  (20,1), //1265, distance=20.02
  (1,20), //1266, distance=20.02
  (-1,20), //1267, distance=20.02
  (-20,1), //1268, distance=20.02
  (-20,-1), //1269, distance=20.02
  (-1,-20), //1270, distance=20.02
  (1,-20), //1271, distance=20.02
  (20,-1), //1272, distance=20.02
  (20,2), //1273, distance=20.1
  (2,20), //1274, distance=20.1
  (-2,20), //1275, distance=20.1
  (-20,2), //1276, distance=20.1
  (-20,-2), //1277, distance=20.1
  (-2,-20), //1278, distance=20.1
  (2,-20), //1279, distance=20.1
  (20,-2), //1280, distance=20.1
  (17,11), //1281, distance=20.25
  (11,17), //1282, distance=20.25
  (-11,17), //1283, distance=20.25
  (-17,11), //1284, distance=20.25
  (-17,-11), //1285, distance=20.25
  (-11,-17), //1286, distance=20.25
  (11,-17), //1287, distance=20.25
  (17,-11), //1288, distance=20.25
  (19,7), //1289, distance=20.25
  (7,19), //1290, distance=20.25
  (-7,19), //1291, distance=20.25
  (-19,7), //1292, distance=20.25
  (-19,-7), //1293, distance=20.25
  (-7,-19), //1294, distance=20.25
  (7,-19), //1295, distance=20.25
  (19,-7), //1296, distance=20.25
  (20,3), //1297, distance=20.22
  (3,20), //1298, distance=20.22
  (-3,20), //1299, distance=20.22
  (-20,3), //1300, distance=20.22
  (-20,-3), //1301, distance=20.22
  (-3,-20), //1302, distance=20.22
  (3,-20), //1303, distance=20.22
  (20,-3), //1304, distance=20.22
  (20,4), //1305, distance=20.4
  (4,20), //1306, distance=20.4
  (-4,20), //1307, distance=20.4
  (-20,4), //1308, distance=20.4
  (-20,-4), //1309, distance=20.4
  (-4,-20), //1310, distance=20.4
  (4,-20), //1311, distance=20.4
  (20,-4), //1312, distance=20.4
  (15,14), //1313, distance=20.52
  (14,15), //1314, distance=20.52
  (-14,15), //1315, distance=20.52
  (-15,14), //1316, distance=20.52
  (-15,-14), //1317, distance=20.52
  (-14,-15), //1318, distance=20.52
  (14,-15), //1319, distance=20.52
  (15,-14), //1320, distance=20.52
  (18,10), //1321, distance=20.59
  (16,13), //1322, distance=20.62
  (13,16), //1323, distance=20.62
  (10,18), //1324, distance=20.59
  (-10,18), //1325, distance=20.59
  (-13,16), //1326, distance=20.62
  (-16,13), //1327, distance=20.62
  (-18,10), //1328, distance=20.59
  (-18,-10), //1329, distance=20.59
  (-16,-13), //1330, distance=20.62
  (-13,-16), //1331, distance=20.62
  (-10,-18), //1332, distance=20.59
  (10,-18), //1333, distance=20.59
  (13,-16), //1334, distance=20.62
  (16,-13), //1335, distance=20.62
  (18,-10), //1336, distance=20.59
  (19,8), //1337, distance=20.62
  (8,19), //1338, distance=20.62
  (-8,19), //1339, distance=20.62
  (-19,8), //1340, distance=20.62
  (-19,-8), //1341, distance=20.62
  (-8,-19), //1342, distance=20.62
  (8,-19), //1343, distance=20.62
  (19,-8)); //1344, distance=20.62


implementation


{uses unit_stack;
procedure create_disk;//draw disk in x,y starting from center
var
  spiral : array[-30..30,-30..30] of integer;
  x,x2,y2,y,i,j,counter : integer;
begin
  for i:=-30 to 30 do
  for j:=-30 to 30 do
    spiral[i,j]:=-1;//mark as empthy

  counter:=0;
  for j:=0 to 2000 do //distance
  for i:=0 to 3600 do//angle
  begin
    x:=round((j/100)*cos(2*pi*i/3600));
    y:=round((j/100)*sin(2*pi*i/3600));
    if spiral[x,y]<0 then
    begin
      spiral[x,y]:=counter; //mark as used
      memo2_message(char(9)+'('+inttostr(x)+','+inttostr(y)+'), //'+inttostr(counter)+', distance='+floattostrF( sqrt(sqr(x)+sqr(y)),ffgeneral,4,2));//use spreadsheet to make array
      inc(counter);
    end;
  end;
end;}


end.

